searchNodes=[{"doc":"PgRanges provides a simple wrapper around Postgrex.Range so that you can create schemas with range type fields and use the native range type in migrations.defmodule MyApp.Employee do use Ecto.Schema alias PgRanges.DateRange schema &quot;employees&quot; do field :name, :string field :employed_dates, DateRange end end defmodule MyApp.Repo.Migrations.CreateEmployees do use Ecto.Migration def change do create table(:employees) do add :name, :string add :employed_dates, :daterange end end endWhen used in composing queries, you must cast to the PgRange type.import Ecto.Query alias PgRanges.DateRange alias MyApp.Repo range = DateRange.new(~D[2018-11-01], ~D[2019-01-01]) Repo.all( from e in Employee, where: fragment(&quot;? @&gt; ?&quot;, e.employed_dates, type(^range, DateRange)) )","ref":"PgRanges.html","title":"PgRanges","type":"behaviour"},{"doc":"","ref":"PgRanges.html#c:from_postgrex/1","title":"PgRanges.from_postgrex/1","type":"callback"},{"doc":"","ref":"PgRanges.html#c:new/2","title":"PgRanges.new/2","type":"callback"},{"doc":"","ref":"PgRanges.html#c:new/3","title":"PgRanges.new/3","type":"callback"},{"doc":"","ref":"PgRanges.html#c:to_postgrex/1","title":"PgRanges.to_postgrex/1","type":"callback"},{"doc":"Wraps a Postgrex.Range and casts to a PostgreSQL daterange type.","ref":"PgRanges.DateRange.html","title":"PgRanges.DateRange","type":"module"},{"doc":"Callback implementation for Ecto.Type.embed_as/1.","ref":"PgRanges.DateRange.html#embed_as/1","title":"PgRanges.DateRange.embed_as/1","type":"function"},{"doc":"Callback implementation for Ecto.Type.equal?/2.","ref":"PgRanges.DateRange.html#equal?/2","title":"PgRanges.DateRange.equal?/2","type":"function"},{"doc":"Callback implementation for PgRanges.new/3.","ref":"PgRanges.DateRange.html#new/3","title":"PgRanges.DateRange.new/3","type":"function"},{"doc":"","ref":"PgRanges.DateRange.html#t:t/0","title":"PgRanges.DateRange.t/0","type":"type"},{"doc":"Wraps a Postgrex.Range and casts to a PostgreSQL int4range type.","ref":"PgRanges.Int4Range.html","title":"PgRanges.Int4Range","type":"module"},{"doc":"Callback implementation for Ecto.Type.embed_as/1.","ref":"PgRanges.Int4Range.html#embed_as/1","title":"PgRanges.Int4Range.embed_as/1","type":"function"},{"doc":"Callback implementation for Ecto.Type.equal?/2.","ref":"PgRanges.Int4Range.html#equal?/2","title":"PgRanges.Int4Range.equal?/2","type":"function"},{"doc":"Callback implementation for PgRanges.new/3.","ref":"PgRanges.Int4Range.html#new/3","title":"PgRanges.Int4Range.new/3","type":"function"},{"doc":"","ref":"PgRanges.Int4Range.html#t:t/0","title":"PgRanges.Int4Range.t/0","type":"type"},{"doc":"Wraps a Postgrex.Range and casts to a PostgreSQL int8range type.","ref":"PgRanges.Int8Range.html","title":"PgRanges.Int8Range","type":"module"},{"doc":"Callback implementation for Ecto.Type.embed_as/1.","ref":"PgRanges.Int8Range.html#embed_as/1","title":"PgRanges.Int8Range.embed_as/1","type":"function"},{"doc":"Callback implementation for Ecto.Type.equal?/2.","ref":"PgRanges.Int8Range.html#equal?/2","title":"PgRanges.Int8Range.equal?/2","type":"function"},{"doc":"Callback implementation for PgRanges.new/3.","ref":"PgRanges.Int8Range.html#new/3","title":"PgRanges.Int8Range.new/3","type":"function"},{"doc":"","ref":"PgRanges.Int8Range.html#t:t/0","title":"PgRanges.Int8Range.t/0","type":"type"},{"doc":"Wraps a Postgrex.Range and casts to a PostgreSQL numrange type.","ref":"PgRanges.NumRange.html","title":"PgRanges.NumRange","type":"module"},{"doc":"Callback implementation for Ecto.Type.embed_as/1.","ref":"PgRanges.NumRange.html#embed_as/1","title":"PgRanges.NumRange.embed_as/1","type":"function"},{"doc":"Callback implementation for Ecto.Type.equal?/2.","ref":"PgRanges.NumRange.html#equal?/2","title":"PgRanges.NumRange.equal?/2","type":"function"},{"doc":"Creates a new Elixir.PgRanges.NumRange struct. It expects the lower and upper attributes to be acceptable by Decimal.new/1.This will convert tany acceptable input to Decimal.Optionslower_inclusive: should the range be lower inclusive? Default is trueupper_inclusive: should the range be upper inclusive? Default is false","ref":"PgRanges.NumRange.html#new/3","title":"PgRanges.NumRange.new/3","type":"function"},{"doc":"","ref":"PgRanges.NumRange.html#t:t/0","title":"PgRanges.NumRange.t/0","type":"type"},{"doc":"Wraps a Postgrex.Range and casts to a PostgreSQL tsrange type.","ref":"PgRanges.TsRange.html","title":"PgRanges.TsRange","type":"module"},{"doc":"Callback implementation for Ecto.Type.embed_as/1.","ref":"PgRanges.TsRange.html#embed_as/1","title":"PgRanges.TsRange.embed_as/1","type":"function"},{"doc":"Callback implementation for Ecto.Type.equal?/2.","ref":"PgRanges.TsRange.html#equal?/2","title":"PgRanges.TsRange.equal?/2","type":"function"},{"doc":"Callback implementation for PgRanges.new/3.","ref":"PgRanges.TsRange.html#new/3","title":"PgRanges.TsRange.new/3","type":"function"},{"doc":"","ref":"PgRanges.TsRange.html#t:t/0","title":"PgRanges.TsRange.t/0","type":"type"},{"doc":"Wraps a Postgrex.Range and casts to a PostgreSQL tstzrange type.","ref":"PgRanges.TstzRange.html","title":"PgRanges.TstzRange","type":"module"},{"doc":"Callback implementation for Ecto.Type.embed_as/1.","ref":"PgRanges.TstzRange.html#embed_as/1","title":"PgRanges.TstzRange.embed_as/1","type":"function"},{"doc":"Callback implementation for Ecto.Type.equal?/2.","ref":"PgRanges.TstzRange.html#equal?/2","title":"PgRanges.TstzRange.equal?/2","type":"function"},{"doc":"Creates a new Elixir.PgRanges.TstzRange struct. It expects the lower and upper attributes to be DateTimes.This will convert the date time structs to UTC time.Optionslower_inclusive: should the range be lower inclusive? Default is trueupper_inclusive: should the range be upper inclusive? Default is false","ref":"PgRanges.TstzRange.html#new/3","title":"PgRanges.TstzRange.new/3","type":"function"},{"doc":"","ref":"PgRanges.TstzRange.html#t:t/0","title":"PgRanges.TstzRange.t/0","type":"type"}]